hwclass_names.h File Reference

Go to the source code of this file.

## Data Structures

struct | hash_t

## Functions

static char * | key2value (hash_t *hash, int id)
static int | value2key (hash_t *hash, char *str)
char * | hd_hw_item_name (hd_hw_item_t item)
hd_hw_item_t | hd_hw_item_type (char *name)

## Variables

static hash_t | hw_items []

## Function Documentation

## key2value()

char * key2value | ( | hash_t * | hash,
|  | int | id )

static

References hash_t::key, and hash_t::value.

Referenced by hd2prop(), hd_hw_item_name(), and hd_status_value_name().

## value2key()

int value2key | ( | hash_t * | hash,
|  | char * | str )

static

References hash_t::key, and hash_t::value.

Referenced by hd_hw_item_type(), and prop2hd().

## Variable Documentation

## hw_items

hash_t hw_items[]

static

Referenced by hd2prop(), hd_hw_item_name(), hd_hw_item_type(), and prop2hd().